> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice

> Retrieve a single invoice by ID.

**Scope:** `invoices:read`


## OpenAPI

````yaml /openapi/invoices.yaml get /v1/invoices/{invoiceId}
openapi: 3.1.0
info:
  title: Invoices API
  version: '1.0'
servers:
  - url: https://api.monk.com
    description: Production
  - url: https://api-sandbox.monk.com
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/invoices/{invoiceId}:
    get:
      summary: Get Invoice
      description: Retrieve a single invoice by ID.
      operationId: getInvoice
      parameters:
        - name: invoiceId
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          description: >-
            Comma-separated list of related resources to include. Supported
            values: `lineItems`
          schema:
            type: string
          example: lineItems
      responses:
        '200':
          description: Invoice found
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Invoice'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Invoice:
      type: object
      properties:
        id:
          type: string
        invoiceNumber:
          type: string
        customerId:
          type: string
        contractId:
          type: string
        status:
          type: string
          enum:
            - Drafted
            - In Progress
            - In Transit
            - Paid
            - Cancelled
            - Refunded
        invoiceDate:
          type: string
          format: date
        dueDate:
          type: string
          format: date
        totalCents:
          type: integer
        memo:
          type:
            - string
            - 'null'
        paymentLink:
          type: string
        externalIds:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceExternalId'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        lineItems:
          type: array
          description: Line items (only included when `include=lineItems` is specified)
          items:
            $ref: '#/components/schemas/LineItem'
    InvoiceExternalId:
      type: object
      properties:
        provider:
          type: string
          enum:
            - quickbooks
            - stripe
            - hubspot
            - netsuite
        entityType:
          type: string
          enum:
            - invoice
        id:
          type: string
    LineItem:
      type: object
      description: Invoice line item
      properties:
        id:
          type: string
          description: Unique identifier for the line item
        name:
          type: string
          description: Display name for the line item
        description:
          type:
            - string
            - 'null'
          description: Optional description
        quantity:
          type: number
          description: Quantity of units
        unitPriceCents:
          type: integer
          description: >-
            Unit price in cents (deprecated: use unitPrice for sub-cent
            precision)
          deprecated: true
        totalAmountCents:
          type: integer
          description: >-
            Total amount in cents (deprecated: use totalAmount for sub-cent
            precision)
          deprecated: true
        unitPrice:
          type: string
          description: >-
            Unit price in dollars as string (supports sub-cent precision, e.g.,
            "0.0005")
        totalAmount:
          type: string
          description: Total amount in dollars as string (supports sub-cent precision)
        servicePeriod:
          type:
            - object
            - 'null'
          description: Service period for the line item (if applicable)
          properties:
            start:
              type: string
              format: date-time
              description: Start of the service period
            end:
              type: string
              format: date-time
              description: End of the service period
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
  responses:
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````